package com.ruoyi.cs.service.impl;

import java.util.List;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.cs.mapper.CsResourceClassMapper;
import com.ruoyi.cs.domain.CsResourceClass;
import com.ruoyi.cs.service.ICsResourceClassService;

import javax.annotation.Resource;

/**
 * 资源分类Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Service
public class CsResourceClassServiceImpl implements ICsResourceClassService
{
    @Resource
    private CsResourceClassMapper csResourceClassMapper;

    /**
     * 查询资源分类
     *
     * @param resourceClassId 资源分类主键
     * @return 资源分类
     */
    @Override
    public CsResourceClass selectCsResourceClassByResourceClassId(String resourceClassId)
    {
        return csResourceClassMapper.selectCsResourceClassByResourceClassId(resourceClassId);
    }

    /**
     * 查询资源分类列表
     *
     * @param csResourceClass 资源分类
     * @return 资源分类
     */
    @Override
    public List<CsResourceClass> selectCsResourceClassList(CsResourceClass csResourceClass)
    {
        return csResourceClassMapper.selectCsResourceClassList(csResourceClass);
    }

    /**
     * 新增资源分类
     *
     * @param csResourceClass 资源分类
     * @return 结果
     */
    @Override
    public int insertCsResourceClass(CsResourceClass csResourceClass)
    {
        Snowflake snowflake = IdUtil.createSnowflake(1, 1);
        csResourceClass.setResourceClassId(snowflake.nextIdStr());
        csResourceClass.setCreateAt(DateUtils.getTime());
        csResourceClass.setDelFlag("0");
        return csResourceClassMapper.insertCsResourceClass(csResourceClass);
    }

    /**
     * 修改资源分类
     *
     * @param csResourceClass 资源分类
     * @return 结果
     */
    @Override
    public int updateCsResourceClass(CsResourceClass csResourceClass)
    {
        csResourceClass.setUpdateAt(DateUtils.getTime());
        return csResourceClassMapper.updateCsResourceClass(csResourceClass);
    }

    /**
     * 批量删除资源分类
     *
     * @param resourceClassIds 需要删除的资源分类主键
     * @return 结果
     */
    @Override
    public int deleteCsResourceClassByResourceClassIds(String[] resourceClassIds)
    {
        return csResourceClassMapper.deleteCsResourceClassByResourceClassIds(resourceClassIds);
    }

    /**
     * 删除资源分类信息
     *
     * @param resourceClassId 资源分类主键
     * @return 结果
     */
    @Override
    public int deleteCsResourceClassByResourceClassId(String resourceClassId)
    {
        return csResourceClassMapper.deleteCsResourceClassByResourceClassId(resourceClassId);
    }
}
